gi-pango-1.0.19: Pango bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.Pango.Structs.GlyphGeometry

Contents

- Exported types
- Properties
  - width
  - xOffset
  - yOffset

Description

The `GlyphGeometry` structure contains width and positioning information for a single glyph.

Synopsis

- newtype GlyphGeometry = GlyphGeometry (ManagedPtr GlyphGeometry)
- newZeroGlyphGeometry :: MonadIO m => m GlyphGeometry
- noGlyphGeometry :: Maybe GlyphGeometry
- getGlyphGeometryWidth :: MonadIO m => GlyphGeometry -> m Int32
- setGlyphGeometryWidth :: MonadIO m => GlyphGeometry -> Int32 -> m ()
- getGlyphGeometryXOffset :: MonadIO m => GlyphGeometry -> m Int32
- setGlyphGeometryXOffset :: MonadIO m => GlyphGeometry -> Int32 -> m ()
- getGlyphGeometryYOffset :: MonadIO m => GlyphGeometry -> m Int32
- setGlyphGeometryYOffset :: MonadIO m => GlyphGeometry -> Int32 -> m ()

# Exported types

newtype GlyphGeometry Source #

Memory-managed wrapper type.

Constructors

GlyphGeometry (ManagedPtr GlyphGeometry) |

Instances

WrappedPtr GlyphGeometry Source # |
Instance details Defined in GI.Pango.Structs.GlyphGeometry Methods wrappedPtrCalloc :: IO (Ptr GlyphGeometry) Source # wrappedPtrCopy :: GlyphGeometry -> IO GlyphGeometry Source # wrappedPtrFree :: Maybe (FunPtr (Ptr GlyphGeometry -> IO ())) Source #
tag ~ AttrSet => Constructible GlyphGeometry tag Source # |
Instance details Defined in GI.Pango.Structs.GlyphGeometry Methods new :: MonadIO m => (ManagedPtr GlyphGeometry -> GlyphGeometry) -> [AttrOp GlyphGeometry tag] -> m GlyphGeometry Source #

newZeroGlyphGeometry :: MonadIO m => m GlyphGeometry Source #

Construct a `GlyphGeometry` struct initialized to zero.

noGlyphGeometry :: Maybe GlyphGeometry Source #

A convenience alias for `Nothing` :: `Maybe` `GlyphGeometry`.

# Properties

## width

the logical width to use for the the character.

getGlyphGeometryWidth :: MonadIO m => GlyphGeometry -> m Int32 Source #

Get the value of the “`width`” field. When overloading is enabled, this is equivalent to

    get glyphGeometry #width

setGlyphGeometryWidth :: MonadIO m => GlyphGeometry -> Int32 -> m () Source #

Set the value of the “`width`” field. When overloading is enabled, this is equivalent to

    set glyphGeometry [ #width := value ]

## xOffset

horizontal offset from nominal character position.

getGlyphGeometryXOffset :: MonadIO m => GlyphGeometry -> m Int32 Source #

Get the value of the “`x_offset`” field. When overloading is enabled, this is equivalent to

    get glyphGeometry #xOffset

setGlyphGeometryXOffset :: MonadIO m => GlyphGeometry -> Int32 -> m () Source #

Set the value of the “`x_offset`” field. When overloading is enabled, this is equivalent to

    set glyphGeometry [ #xOffset := value ]

## yOffset

vertical offset from nominal character position.

getGlyphGeometryYOffset :: MonadIO m => GlyphGeometry -> m Int32 Source #

Get the value of the “`y_offset`” field. When overloading is enabled, this is equivalent to

    get glyphGeometry #yOffset

setGlyphGeometryYOffset :: MonadIO m => GlyphGeometry -> Int32 -> m () Source #

Set the value of the “`y_offset`” field. When overloading is enabled, this is equivalent to

    set glyphGeometry [ #yOffset := value ]